org.apache.tapestry5.plastic

## Enum Condition

- java.lang.Object
- - java.lang.Enum<Condition>
  - - org.apache.tapestry5.plastic.Condition

- All Implemented Interfaces:
    Serializable, Comparable<Condition>

      public enum Condition
      extends Enum<Condition>

  Condition used with `InstructionBuilder.when(Condition, WhenCallback)`. Most conditions pop the top element off the stack; some pop two elements.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQUAL` Compare two integer elements on the stack; branch if the deeper element equal to the top element.
    `GREATER` Compare two integer elements on the stack; branch if the deeper element is greater than the top element.
    `LESS_THAN` Compare two integer elements on the stack; branch if the deeper element is less than the top element.
    `NON_NULL` Is the top element of the stack non-null?
    `NON_ZERO` Is the top element of the stack not the integer zero?
    `NOT_EQUAL` Compare two integer elements on the stack; branch if the deeper element is not equal to the top element.
    `NULL` Is the top element of the stack null?
    `ZERO` Is the top element of the stack the integer zero?

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Condition` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Condition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULL

          public static final Condition NULL

      Is the top element of the stack null?

    - #### NON_NULL

          public static final Condition NON_NULL

      Is the top element of the stack non-null?

    - #### ZERO

          public static final Condition ZERO

      Is the top element of the stack the integer zero?

    - #### NON_ZERO

          public static final Condition NON_ZERO

      Is the top element of the stack not the integer zero?

    - #### LESS_THAN

          public static final Condition LESS_THAN

      Compare two integer elements on the stack; branch if the deeper element is less than the top element.

    - #### EQUAL

          public static final Condition EQUAL

      Compare two integer elements on the stack; branch if the deeper element equal to the top element.

    - #### NOT_EQUAL

          public static final Condition NOT_EQUAL

      Compare two integer elements on the stack; branch if the deeper element is not equal to the top element.

    - #### GREATER

          public static final Condition GREATER

      Compare two integer elements on the stack; branch if the deeper element is greater than the top element.

  - ### Method Detail

    - #### values

          public static Condition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Condition c : Condition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Condition valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.